1. Рады видеть Вас на русскоязычном форуме TeamSpeak!

    У нас Вы можете скачать последнюю версию:

    Перед регистрацией рекомендуем ознакомиться

    с Правилами форума.

    Присоединяйтесь! Учите и обучайтесь!

    Скрыть объявление
  2. Новая группа "Новичок" на нашем форуме!

    Новые пользователи будут попадать в группу "Новичок".

    Это сделано для того чтобы "Новички" ознакомились с форумом, так как в большинстве случаев проблема с которой вы хотите обратиться уже обсуждалась.

    Перейти в тему обсуждения
    Быстрый переход в группу Пользователь
  3. VPS/VDS и дедикейт сервера в аренду с DDoS защитой

    • Низкий пинг
    • Действующий SLA
    • Рублевые цены без привязки к курсу валют

    Бесплатный тестовый период VPS-OpenVZ

    Попробовать

Сервер Даунгрэйд с версии 3.0.11.4 до версии 3.0.11.3.Перенос БД.

Тема в разделе "Вопросы по TeamSpeak 3", создана пользователем unkn0wn, 27 дек 2015.

  1. unkn0wn

    unkn0wn Пользователь

    Регистрация:
    18.01.15
    Сообщения:
    2
    Симпатии:
    0
    Баллы:
    12
    Всем привет. Возникла потребность переехать на версию ниже с сохранением настроек и иерархии каналов. Собственно из-за разницы в версии libts3db_sqlite3.so сервер не поднимается логи дают следующее:
    2015-12-27 12:36:35.190911|CRITICAL|DatabaseQuery | | unable to load database plugin library "libts3db_sqlite3.so", halting!​
    Ответ на вопрос в принципе известен, и когда-то подобное решал с помощью ресурса\ов интернета, где видел инфу -в притык не могу вспомнить, но знаю точно, что проблема решается редактированием файла БД, а именно просто в блокноте изменить версию в определённой строке на нужную для ТС сервера. Потому прошу ткнуть носом или написать где, что и как.
    ЗЫ: Если оставить БД от версии 11.3 сервер стартует.
    ОС: Фряха
     
  2. darkangel66

    darkangel66Icon TEAM-VOICE.COM ATHP Премиум Пользователь

    Регистрация:
    12.06.12
    Сообщения:
    417
    Симпатии:
    169
    Баллы:
    335
    А в чем причина даунгрейда ? )))))))))))

    ну по братски так скажи ? )))

    ps возьми библиотеку от новой версии и накати на старую.. к слову указанный файлик должен лежать в корне папки тс.
     
  3. PlusaN

    PlusaNIcon Плюшан Знаток Премиум Пользователь

    Регистрация:
    28.12.13
    Сообщения:
    334
    Симпатии:
    104
    Баллы:
    221
    Приветствую.
    Что за глупости? В первый раз слышу, что бы БД редактировали блокнотом :D Только что перенес БД с версии 3.0.11.4 на 3.0.11.3, никаких проблем не возникло. Скопировал ts3server.sqlitedb и папку files в каталог нового сервера и просто запустил :)
    У Вас проблема с плагином БД, а не с самой БД. От какого пользователя запускаете сервер? Права у этого пользователя есть на каталог сервера? Пробовали через ts3server_minimal_runscript.sh запустить сервер? :)
    Тоже не понятно мне.
     
    • Нравится Нравится x 1
  4. VJean

    VJeanIcon ǝноɯʚıqж Администратор Знаток

    Регистрация:
    26.07.14
    Сообщения:
    1.443
    Симпатии:
    329
    Баллы:
    445
    не найден файл плагина БД для работы с sqlite.

    что за бред? ручками, в блокноте, править бинарный файл. аминь.
     
  5. unkn0wn

    unkn0wn Пользователь

    Регистрация:
    18.01.15
    Сообщения:
    2
    Симпатии:
    0
    Баллы:
    12
    На счет даунгрэйда -написал так чтобы лучше меня поняли :)
    Да, оказалось, это надо править ts3server.sqlitedb и значение (у меня на 398 строке) serverinstance_database_version23 -число +1 -это версия обновы т.е. 24 апдэйт. Но, это нужно только, если сервер пишет, что у вас проблема с апдэйтами. Не знаю, почему я подумал, что у меня проблема такая-же. А, по моей проблеме оказалось я не то скопировал... Спасибо, что откликнулись, даже то что над смеялись -заставило задуматься :)
     
  6. VJean

    VJeanIcon ǝноɯʚıqж Администратор Знаток

    Регистрация:
    26.07.14
    Сообщения:
    1.443
    Симпатии:
    329
    Баллы:
    445
    через редактор баз SQLite подправить значение serverinstance_database_version из таблицы instance_properties
    не надо блокнотами лезть куда не надо )
     
    • Нравится Нравится x 1
Загрузка...